[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.WriteInteger

Write an integer value

## Declaration

Source position: inifiles.pp line 135

`public procedure TCustomIniFile.WriteInteger(`
`const Section: string;`
`const Ident: string;`
`Value: LongInt`
`); virtual;`

## Arguments

`Section` |  | Section to write key value to
`Ident` |  | Key name with which to write value
`Value` |  | Integer value to write

## Description

WriteInteger writes the integer Value with the name Ident to the section Section, overwriting any previous value that may exist there. The section will be created if it does not exist.

## See also

ReadInteger |  | Read an integer value from the file
WriteString |  | Write a string value
WriteBool |  | Write boolean value
WriteDate |  | Write date value
WriteDateTime |  | Write date/time value
WriteTime |  | Write time value
WriteFloat |  | Write a floating-point value
WriteBinaryStream |  | Write binary data

Documentation generated on: Feb 26 2014